Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mars.util
Class PropertiesFile

    java.lang.Object
      mars.util.PropertiesFile

    public class PropertiesFile

extends Object

Provides means to work with ".properties" files which are used to store various MARS settings.

Author:
  Pete Sanderson

Constructor Summary
`PropertiesFile()`

Method Summary
`static Properties` | `loadPropertiesFromFile(String file)` Produce Properties (a Hashtable) object containing key-value pairs from specified properties file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesFile

    public PropertiesFile()

Method Detail

### loadPropertiesFromFile

    public static Properties loadPropertiesFromFile(String file)

  Produce Properties (a Hashtable) object containing key-value pairs from specified properties file. This may be used as an alternative to readPropertiesFile() which uses a different implementation.

  Parameters:
    `file` - Properties filename. Do NOT include the file extension as it is assumed to be ".properties" and is added here.
  Returns:
    Properties (Hashtable) of key-value pairs read from the file.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD